Subject: RE: Contractual Rules again

From: "Rosen, Brian" <[email-masked]>
Date: Thu, 17 Jul 2003 07:54:40 -0400

Agree, how about
  The uri represents a prior mutual agreement, and its presence
  is used only as confirmation.  Even in the absence of the document
  pointed to by the URI, the contract terms hold.  The contract
  terms in effect at the time the LO was received govern the
  rules for use of the LO.

So, "prior" implies you can't get a contract by just getting the LO.

Brian

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Thursday, July 17, 2003 7:20 AM
> To: Rosen, Brian
> Cc: [email-masked]
> Subject: Re: Contractual Rules again
> 
> 
> My concern with any external reference is
> 
> - what happens if it can't be accessed
> 
> - what happens if the content changes either 'naturally' or 
> maliciously, 
> before the time of retention expires?
> 
> These are both solvable, but it needs to be clearly specified.
> 
> Rosen, Brian wrote:
> > I expect that most often it will be the service provider's standard
> > contract.  The point of a uri is to be able to confirm that
> > the agreed rules apply.  I wouldn't want to limit this.
> > For that matter, a contract is not exclusive (unless it says
> > that it is); you may be able to use the rules defined in
> > the object, and in addition have some kind of subtlety not
> > expressible in the rules.
> > 
> > I'd certainly be agreeable to stating that this is for a contract,
> > i.e. something both parties willingly entered into prior to sending
> > the information.  That would obviate the problem you are worried 
> > about (a statement of limits that the other party doesn't 
> necessarily 
> > agree to).  I think that limits the use, but it also limits 
> the abuse.
> > 
> > You certainly could imagine systems that refuse to accept or
> > provide location when it was subject to some written contract
> > it didn't know about.  You could also imagine systems that
> > popped up panels that required you to accept the rules 
> > before proceeding. 
>

---

From: John Morris <[email-masked]>
Date: Thu, 17 Jul 2003 17:25:18 +0200

My 2 cents are that this could be a worthwhile element if its significance 
is unambiguously defined.  I would be concerned, for example, with any 
suggestion that a conflict between rules expressed in a LO are overridden 
by an external contract.  But if as  Brian suggests it could be a uri 
provided for the sake of reference, that would be valuable. John